/* Structure */

body{
    background: blacK;
    font-family: Georgia, 'Times New Roman', Times, serif;
    background: url(https://th.bing.com/th/id/R.a83dc0435134359d29501e4196170e8d?rik=QnXfLkC%2b8Jgz%2bQ&riu=http%3a%2f%2fblogs.winnipegsd.ca%2fbreakingnewground%2ffiles%2f2015%2f12%2fBinary_code-28fickh.jpg&ehk=3GZgG3Quz5UG88qfcwUGHRiErGC%2fyu81BtsLCWqDXws%3d&risl=&pid=ImgRaw&r=0);

}

#content{
    background-color: gold;
    width: 75%;
    margin: auto;
    padding: 0 5px;
    border-radius: 5px;
}

#main nav a{
    text-decoration: none;
    background: red;
    color: red;
    padding: 10px;
    border-radius: 10px;
}

a:link {
    text-decoration: none;
    color: green;
}

p a{
    color: red;
    font-size: larger;
}

p a:hover{
    color:blueviolet;
}
/*Typography */

h1{
    text-align: center;
    font-style: italic;
    color:red;
}

h2{
    text-align: center;
    color: brown;
}

strong {
    color: orangered;
}

.important {
    font-size: 25px;
}



/*Navigation */

.assignments, 
.projects{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.assignment, 
.project{
    text-align: center;
    width: 27%;
    padding:20px;
    margin:20px;
    background: green;
    
}

.assignment img,
.project img{
    height:300px;
    width: 250px;
    max-width: 90%;
    border: solid black; 
    display: block; 
    margin: auto;
}

.assignment img:hover,
.project img:hover{
    border:solid white;
}

/* images */

#rpic{
    float: right;
}

/*footer */

#footer{
    background-color: gold;
    width: 75%;
    margin: auto;
    padding: 0 5px;
    border-radius: 5px;
}

#main-footer
{

    text-align: center;
    background-color: green;
    padding: 5px;
}


/*larger resolution */

@media screen and (max-width: 900px)
{

.assignments, .assignment, .projects, .project
{
    align-items: center;
    flex-direction: column;
}

.assignment img,
.project img{
    width: 100%;
    height:150px;
    width: 125px;
    border: solid black; 
    display: block; 
    margin: auto;
}

body{
    background: black;
}

}

